Package org.jacoco.core.internal.analysis

## Class SourceFileCoverageImpl

- java.lang.Object
- - org.jacoco.core.analysis.CoverageNodeImpl
  - - org.jacoco.core.internal.analysis.SourceNodeImpl
    - - org.jacoco.core.internal.analysis.SourceFileCoverageImpl

All Implemented Interfaces:
  `ICoverageNode`, `ISourceFileCoverage`, `ISourceNode`

    public class SourceFileCoverageImpl
    extends SourceNodeImpl
    implements ISourceFileCoverage

Implementation of `ISourceFileCoverage`.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.jacoco.core.analysis.ICoverageNode

`ICoverageNode.CounterEntity, ICoverageNode.ElementType`

### Field Summary

### Fields inherited from class org.jacoco.core.analysis.CoverageNodeImpl

`branchCounter, classCounter, complexityCounter, instructionCounter, lineCounter, methodCounter`

### Fields inherited from interface org.jacoco.core.analysis.ISourceNode

`UNKNOWN_LINE`

### Constructor Summary

Constructors
`SourceFileCoverageImpl​(java.lang.String name, java.lang.String packagename)` Creates a source file data object with the given parameters.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getPackageName()` Returns the VM name of the package the source file belongs to.

### Methods inherited from class org.jacoco.core.internal.analysis.SourceNodeImpl

`ensureCapacity, getFirstLine, getLastLine, getLine, increment, increment`

### Methods inherited from class org.jacoco.core.analysis.CoverageNodeImpl

`containsCode, getBranchCounter, getClassCounter, getComplexityCounter, getCounter, getElementType, getInstructionCounter, getLineCounter, getMethodCounter, getName, getPlainCopy, increment, increment, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.jacoco.core.analysis.ICoverageNode

`containsCode, getBranchCounter, getClassCounter, getComplexityCounter, getCounter, getElementType, getInstructionCounter, getLineCounter, getMethodCounter, getName, getPlainCopy`

### Methods inherited from interface org.jacoco.core.analysis.ISourceNode

`getFirstLine, getLastLine, getLine`

### Constructor Detail

#### SourceFileCoverageImpl

    public SourceFileCoverageImpl​(java.lang.String name,
                                  java.lang.String packagename)

Creates a source file data object with the given parameters.

Parameters:
  `name` - name of the source file
  `packagename` - vm name of the package the source file belongs to

### Method Detail

#### getPackageName

    public java.lang.String getPackageName()

Description copied from interface: `ISourceFileCoverage`
Returns the VM name of the package the source file belongs to.

Specified by:
  `getPackageName` in interface `ISourceFileCoverage`
Returns:
  package name